@ECHO OFF
CLS
IF EXIST C:\WIZWORX\DQK\INSTAL.LED GOTO END
IF EXIST D:\WIZWORX\DQK\INSTAL.LED GOTO END
COPY START.BAT INSTAL.LED
CLS
ATTRIB +H INSTAL.LED
CLS
DEL STA.BAT
CLS
DEL CONFIGUR.EXE
:VIDEOX
ECHO Graphics adapter type: [1] VGA
ECHO                        [2] EGA
ECHO                        [3] Tandy
CHOICE /C:123 /N /T:1,15 Please type a number between 1 and 3 
IF ERRORLEVEL 3 GOTO TVID
IF ERRORLEVEL 2 GOTO EVID
IF ERRORLEVEL 1 GOTO VVID
:TVID
SET VIDEO=T
GOTO AUDIOX
:EVID
SET VIDEO=E
GOTO AUDIOX
:VVID
SET VIDEO=V
GOTO AUDIOX
:AUDIOX
CLS
ECHO Sound adapter type: [1] PC Speakers for music and effects
ECHO                     [2] Tandy 3-voice music and sound effects
ECHO                     [3] Ad-Lib music and PC speaker effects
ECHO                     [4] Soundblaster for music and effects
ECHO                     [5] Roland MT-32 and PC speaker effects
ECHO                     [6] MT-32 music and Soundblaster effects
ECHO                     [7] None (silent)
CHOICE /C:1234567 /N /T:4,20 Please type a number between 1 and 7 
IF ERRORLEVEL 7 GOTO NAUD
IF ERRORLEVEL 6 GOTO MAUD
IF ERRORLEVEL 5 GOTO RAUD
IF ERRORLEVEL 4 GOTO SAUD
IF ERRORLEVEL 3 GOTO AAUD
IF ERRORLEVEL 2 GOTO TAUD
IF ERRORLEVEL 1 GOTO PAUD
:NAUD
SET AUDIO=N
GOTO DRIVEX
:MAUD
SET AUDIO=M
GOTO DRIVEX
:RAUD
SET AUDIO=R
GOTO DRIVEX
:SAUD
SET AUDIO=S
GOTO DRIVEX
:AAUD
SET AUDIO=A
GOTO DRIVEX
:TAUD
SET AUDIO=T
GOTO DRIVEX
:PAUD
SET AUDIO=P
GOTO DRIVEX
:DRIVEX
IF EXIST C:\WIZWORX\DQK\START.BAT GOTO CDRI
IF EXIST D:\WIZWORX\DQK\START.BAT GOTO DDRI
GOTO WRONGDRIVE
:CDRI
SET DRIVE=C
GOTO COPYX
:DDRI
SET DRIVE=D
GOTO COPYX
:WRONGDRIVE
CLS
ECHO YOU MUST INSTALL THIS PROGRAM ON A HARD DRIVE DESIGNATED C: OR D:
ECHO PLEASE CALL WIZARDWORKS TECHNICAL SUPPORT AT (612)559-5301
ECHO IF THIS IS NOT POSSIBLE.
GOTO DONE
:COPYX
IF EXIST D:\WIZWORKS\DQKCFGS\VPC.CFG GOTO DCOPY
IF EXIST E:\WIZWORKS\DQKCFGS\VPC.CFG GOTO ECOPY
CLS
ECHO YOU MUST INSTALL THIS PROGRAM FROM A CD-ROM DRIVE DESIGNATED
ECHO D: OR E:  PLEASE CALL WIZARDWORKS TECHNICAL SUPPORT AT 
ECHO (612)559-5301 IF THIS IS NOT POSSIBLE.
REM :CCOPY
REM COPY C:\DQKCFGS\%VIDEO%%AUDIO%%DRIVE%.CFG %DRIVE%:\WIZWORX\DQK\DISK1\DQK.CFG
REM GOTO END
:DCOPY
COPY D:\WIZWORKS\DQKCFGS\%VIDEO%%AUDIO%%DRIVE%.CFG %DRIVE%:\WIZWORX\DQK\DISK1\DQK.CFG
GOTO END
:ECOPY
COPY E:\WIZWORKS\DQKCFGS\%VIDEO%%AUDIO%%DRIVE%.CFG %DRIVE%:\WIZWORX\DQK\DISK1\DQK.CFG
GOTO END
:END
CLS
DQK SB220 SI7 RB330
ECHO THANK YOU FOR PLAYING.                              
REM FIXED BY NATE UNDER THE INFLENCE OF LOTS OF CAFFEINE 8/3/95
:DONE
    
